rte_pmd_ixgbe_mb_event_param(3)

NAME
rte_pmd_ixgbe_mb_event_param

SYNOPSIS

#include <rte_pmd_ixgbe.h>

  Data Fields

uint16_t vfid
uint16_t msg_type
uint16_t retval
void * msg

Detailed Description

Data sent to the user application when the callback is executed.

Definition at line 663 of file rte_pmd_ixgbe.h.

Field Documentation

  uint16_t vfid
Virtual Function number

Definition at line 664 of file rte_pmd_ixgbe.h.

  uint16_t msg_type
VF to PF message type, defined in ixgbe_mbx.h

Definition at line 665 of file rte_pmd_ixgbe.h.

  uint16_t retval
return value

Definition at line 666 of file rte_pmd_ixgbe.h.

  void* msg
pointer to message

Definition at line 667 of file rte_pmd_ixgbe.h.

Author

Generated automatically by Doxygen for DPDK from the source code.